%define oname jrtplib 

Name: libjrtp
Version: 3.7.1
Release: alt1

Summary: JRTPLIB is an object-oriented RTP library written in C++
License: MIT
Group: System/Libraries
URL: http://research.edm.uhasselt.be/~jori/page/index.php?n=CS.Jrtplib

Source0: http://research.edm.uhasselt.be/jori/jrtplib/%oname-%version.tar.bz2

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Fri Sep 28 2007
#BuildRequires: doxygen fonts-ttf-dejavu gcc-c++ gcc-fortran glibc-devel-static graphviz libjthread-devel
BuildRequires: doxygen fonts-ttf-dejavu gcc-c++ graphviz libjthread-devel

%description
JRTPLIB is an object-oriented RTP library written in C++. It was first
developed at the School for Knowledge Technology (or 'School voor
Kennistechnologie' in Dutch), a cooperation between the Hasselt
University) and the Maastricht University.

%package devel
Summary: Development files for JRTPLIB
Group: Development/C++
Requires: libjrtp = %version-%release
Requires: libjthread-devel

%description devel
Development files for JThread.

%package devel-doc
Summary: Development documentation for JRTPLIB
Group: Development/C++

%description devel-doc
Development documentation for JThread.

%prep
%setup -q -n %oname-%version

%build
%configure
%make_build
doxygen

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc ChangeLog LICENSE.MIT README.TXT TODO
%_libdir/libjrtp-%version.so

%files devel
%doc LICENSE.MIT
%_includedir/jrtplib3
%_libdir/libjrtp.so
%_pkgconfigdir/jrtplib.pc

%files devel-doc
%doc documentation

%changelog
* Fri Sep 28 2007 Igor Zubkov <icesik@altlinux.org> 3.7.1-alt1
- build for Sisyphus

* Tue Aug 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.1-2
- Bump release and rebuild.

* Sat Jun  9 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.1-1
- Update to 3.7.1

* Thu Feb  8 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.7.0-1
- Update to 3.7.0

* Sat Aug  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.6.0-1
- Update to 3.6.0

* Sat Jan  7 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.3.0-1
- Initial build.

